summaryrefslogtreecommitdiff
path: root/dev-python/python-docs/python-docs-3.6.13.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-python/python-docs/python-docs-3.6.13.ebuild
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-python/python-docs/python-docs-3.6.13.ebuild')
-rw-r--r--dev-python/python-docs/python-docs-3.6.13.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-python/python-docs/python-docs-3.6.13.ebuild b/dev-python/python-docs/python-docs-3.6.13.ebuild
new file mode 100644
index 000000000000..bfc00bc95def
--- /dev/null
+++ b/dev-python/python-docs/python-docs-3.6.13.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/"
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/python-${PV}-docs-html.tar.bz2"
+S="${WORKDIR}/python-${PV}-docs-html"
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+src_install() {
+ rm -r _sources || die
+ docinto html
+ dodoc -r .
+
+ newenvd - 60python-docs-${SLOT} <<-EOF
+ PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+ EOF
+}